Page MenuHomePhabricator

Implement Tool Labs membership application and processing in Striker
Closed, ResolvedPublic

Description

The on-wiki form based process for requesting membership in the Toolforge project is difficult to automate from Striker. It also makes use of SMW features to provide a usable workflow for approvers that prevents completion of T53642: Get rid of SemanticMediaWiki/SRF/SF from wikitech.wikimedia.org.

In T72625: Migrate Tools access request process to Phabricator @scfc has proposed moving the workflow to Phabricator. This would solve the SMW blocker problem, but it is still difficult to automate from Striker due to a lack of OAuth integration for our Phabricator deployment. That process would also still require several manual steps for approvers on Wikitech in order to resolve a request.

Moving the entire request and approval workflow to Striker would allow flexible scripting of the process. Striker would need to provide:

  • a form for requesting project membership similar to the existing form on Wikitech
  • a list of membership requests which have not yet been processed similar to the existing list on Wikitech
  • a list of membership requests which have been completed and their status (this could be the same list as the incomplete requests)
  • an interface for administrators to approve/deny requests and leave comments

Event Timeline

bd808 created this task.Apr 8 2017, 3:18 AM
Restricted Application added a project: Cloud-Services. · View Herald TranscriptApr 8 2017, 3:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
bd808 moved this task from Triage to In Progress on the Toolforge board.Apr 11 2017, 2:05 AM

Change 347392 merged by jenkins-bot:
[labs/striker@master] Implement Tool Labs membership application and processing

https://gerrit.wikimedia.org/r/347392

bd808 moved this task from Backlog to Doing on the Striker board.Apr 13 2017, 4:29 AM
bd808 claimed this task.Apr 14 2017, 4:04 AM
Restricted Application added a project: User-bd808. · View Herald TranscriptApr 14 2017, 4:04 AM

Change 348386 merged by jenkins-bot:
[labs/striker@master] Add links to user's accounts to membership request

https://gerrit.wikimedia.org/r/348386

Change 348387 merged by jenkins-bot:
[labs/striker@master] Add link to membership requests list

https://gerrit.wikimedia.org/r/348387

Change 348388 merged by jenkins-bot:
[labs/striker@master] Add basic suppression for membership requests

https://gerrit.wikimedia.org/r/348388

Change 348389 merged by jenkins-bot:
[labs/striker@master] Notify admins of new membership requests

https://gerrit.wikimedia.org/r/348389

Change 351164 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker/staticfiles@master] Update for Tool Labs membership application and processing

https://gerrit.wikimedia.org/r/351164

Change 351164 merged by jenkins-bot:
[labs/striker/staticfiles@master] Update for Tool Labs membership application and processing

https://gerrit.wikimedia.org/r/351164

Change 351170 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker/wheels@master] Add wheels for django-notifications-hq & python-keystoneclient

https://gerrit.wikimedia.org/r/351170

Change 351170 merged by jenkins-bot:
[labs/striker/wheels@master] Add wheels for django-notifications-hq & python-keystoneclient

https://gerrit.wikimedia.org/r/351170

Change 351175 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker/deploy@master] [WIP] Implement Tool Labs membership application and processing

https://gerrit.wikimedia.org/r/351175

Change 351175 merged by jenkins-bot:
[labs/striker/deploy@master] Implement Tool Labs membership application and processing

https://gerrit.wikimedia.org/r/351175

Mentioned in SAL (#wikimedia-operations) [2017-05-08T19:07:14Z] <bd808> Applied database migration for T162508 to striker database on m5-master

Mentioned in SAL (#wikimedia-operations) [2017-05-08T19:17:01Z] <bd808@tin> Started deploy [striker/deploy@3836477]: Implement Tool Labs membership application and processing (T162508)

Mentioned in SAL (#wikimedia-operations) [2017-05-08T19:17:34Z] <bd808@tin> Finished deploy [striker/deploy@3836477]: Implement Tool Labs membership application and processing (T162508) (duration: 00m 32s)

Mentioned in SAL (#wikimedia-operations) [2017-05-08T19:34:51Z] <bd808> Deployment of Striker for T162508 complete; will continue debug keystone issue that is preventing Tool Labs membership requests from being approved

bd808 closed this task as Resolved.May 9 2017, 1:20 AM

I updated all of the documentation on wikitech that pointed to the old SMW form. We have a lot of duplication in "getting started" docs. That should be cleaned up at some point.

Do we have some screenshots of this new process? (I'm a bit curious)

bd808 added a comment.May 9 2017, 3:08 PM

Do we have some screenshots of this new process? (I'm a bit curious)

I haven't made screenshots of the workflow, but I can. I'll try to take some today.

bd808 added a comment.May 11 2017, 4:02 AM

Here are screenshots of how things look from the approval side.
the alerts queue:


a pending request:

an approved request:

bd808 moved this task from Doing to Done on the Striker board.Aug 24 2017, 7:29 PM